com.pdfunit.validators

## Class XFAValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.XFAValidator

-     @DoNotObfuscate
      public final class XFAValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for XFA data.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFAValidator(DocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hasNoXFAData()` Validating that the current PDF document has no XFA data.
    `XFAValidator` | `hasXFAData()` Validating that the current PDF document has XFA data.
    `XFAValidator` | `matchingXPath(XPathExpression xpath)` This method processes the given XPath expression against the XFA data of the current PDF document.
    `XFAValidator` | `withNode(XMLNode node)` This method validates the node name and value, covered by the instance of XMLNode, against the current PDF document.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XFAValidator

          public XFAValidator(DocumentValidator backReference)

  - ### Method Detail

    - #### hasXFAData

          public XFAValidator hasXFAData()

      Validating that the current PDF document has XFA data.

    - #### hasNoXFAData

          public void hasNoXFAData()

      Validating that the current PDF document has no XFA data.

      The returncode is void. It makes sense, not to return self, because there are no data to analyze further.

    - #### matchingXPath

          @Guarded
          public XFAValidator matchingXPath(XPathExpression xpath)

      This method processes the given XPath expression against the XFA data of the current PDF document.

      The XPath expression must result in a type boolean.

    - #### withNode

          @Guarded
          public XFAValidator withNode(XMLNode node)

      This method validates the node name and value, covered by the instance of XMLNode, against the current PDF document.

Copyright (C) PDFUnit.com. See here for license.